<template>
  <div
    class="containerr d-flex justify-content-center align-items-center align-content-center">
    <div :class="width > 750 ? 'w-50' : 'mx-3'" class="input-group">
      <input
        class="form-control border-end-0"
        type="search"
        v-model="search"
        placeholder="Search"
        id="example-search-input" />
    </div>
  </div>
</template>

<script setup lang="ts">
import { onMounted, onUnmounted, ref, watch } from "vue";
import debounce from "lodash.debounce";
import { usePhotosStore } from "@/stores/usePhotosStore";

const { getPhotoBySearch } = usePhotosStore();

const search = ref("");

const width = ref(window.innerWidth);

onMounted(() => {
  window.addEventListener("resize", () => {
    width.value = window.innerWidth;
  });
});

onUnmounted(() => {
  window.removeEventListener("resize", () => {
    width.value = window.innerWidth;
  });
});

watch(
  search,
  debounce(() => {
    getPhotoBySearch(search.value);
  }, 500),
);
</script>

<style scoped>
.containerr {
  width: 100%;
  height: 200px;
  background-image: url("../assets/background.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
</style>
